Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225353

Summary: selinux denials with exim
Product: [Fedora] Fedora Reporter: Jesse Keating <jkeating>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dcantrell, dwmw2, rcoker
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-17 16:26:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jesse Keating 2007-01-30 02:08:05 UTC
I get a few selinux denials when using exim on a default install.

avc: denied { setuid } for comm="sendmail" egid=93 euid=0 exe="/usr/sbin/exim"
exit=-1 fsgid=93 fsuid=0 gid=93 items=0 pid=2411
scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 sgid=93
subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 suid=0 tclass=capability
tcontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tty=(none) uid=0 

avc: denied { append } for comm="sendmail" dev=dm-0 egid=93 euid=0
exe="/usr/sbin/exim" exit=-13 fsgid=93 fsuid=0 gid=93 items=0 name="main.log"
pid=2410 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 sgid=93
subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 suid=0 tclass=file
tcontext=system_u:object_r:var_log_t:s0 tty=(none) uid=0 

avc: denied { write } for comm="sendmail" dev=tmpfs egid=93 euid=0
exe="/usr/sbin/exim" exit=-13 fsgid=93 fsuid=0 gid=93 items=0 name="console"
pid=2409 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 sgid=93
subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 suid=0 tclass=chr_file
tcontext=system_u:object_r:console_device_t:s0 tty=(none) uid=0

avc: denied { write } for comm="sendmail" dev=dm-0 egid=93 euid=0
exe="/usr/sbin/exim" exit=-13 fsgid=93 fsuid=0 gid=93 items=0 name="exim"
pid=2411 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 sgid=93
subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 suid=0 tclass=dir
tcontext=system_u:object_r:var_log_t:s0 tty=(none) uid=0 

avc: denied { create } for comm="sendmail" egid=93 euid=0 exe="/usr/sbin/exim"
exit=-13 fsgid=93 fsuid=0 gid=93 items=0 pid=2409
scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 sgid=93
subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 suid=0 tclass=unix_dgram_socket
tcontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tty=(none) uid=0 

exim gets picked as the provider of /usr/bin/sendmail, because it has the
shortest name out of sendmail, postfix, or exim.

Comment 1 Daniel Walsh 2007-02-01 19:47:12 UTC
If you chcon -t sendmail_exec_t /usr/sbin/exim, does the problem go away?

Comment 2 Jesse Keating 2007-02-09 20:13:47 UTC
I can't seem to duplicate this.  Did you do any selinux changes for exim recently?

Comment 3 Daniel Walsh 2007-02-12 15:20:32 UTC
no

Comment 4 Scott Talbot 2007-02-20 17:59:46 UTC
Just my 2 cents here, but I received a few similar errors today.  They were
easily fixed through advice from setroubleshoot however. the fixes were

semanage fcontext -a -t bin_t sudoedit
restorecon -v /var/log/exim/main.log
setsebool -P allow_daemons_use_tty=1
restorecon /var/log/exim/panic.log

Not sure why or when I started getting these and I don't recall the specific errors.

Hope this helps

Comment 5 Daniel Walsh 2007-02-20 21:47:35 UTC
Please attach your avc messages?